{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "[{'url': 'https://vietnamnet.vn/chinh-tri', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/thoi-su', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/kinh-doanh', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/the-thao', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/the-gioi', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/giao-duc', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/giai-tri', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/van-hoa', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/doi-song', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/suc-khoe', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/thong-tin-truyen-thong', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/phap-luat', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/oto-xe-may', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/bat-dong-san', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/du-lich', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/ban-doc', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/nong-thon-moi', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/hop-tac/cong-nghiep-ho-tro', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/dan-toc-ton-giao', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/dan-toc-thieu-so-va-mien-nui', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}, {'url': 'https://vietnamnet.vn/thi-truong-tieu-dung', 'div_class': 'horizontalPost__avt', 'child_div_class': 'main-content'}]\n",
      "Empty DataFrame\n",
      "Columns: [text, label]\n",
      "Index: []\n"
     ]
    }
   ],
   "source": [
    "import json\n",
    "import pandas as pd\n",
    "                    \n",
    "with open('list_data_sources.json', 'r') as f:         \n",
    "    data_sources = json.load(f)\n",
    "print(data_sources)\n",
    "\n",
    "df = pd.DataFrame(columns=[\n",
    "    'text', 'label'\n",
    "])\n",
    "print(df)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "https://vietnamnet.vn/tong-thong-biden-gui-thu-tay-muon-tho-nguyen-du-tuong-nho-tong-bi-thu-nguyen-phu-trong-2306260.html\n",
      "https://vietnamnet.vn/bo-quoc-phong-neu-ly-do-khong-tang-so-luong-cong-dan-nhap-ngu-2306005.html\n",
      "https://vietnamnet.vn/tong-bi-thu-nguyen-phu-trong-da-ra-di-trong-vong-tay-nhan-dan-2306175.html\n",
      "https://vietnamnet.vn/viet-nam-de-nghi-cac-doi-tac-ung-ho-lap-truong-cua-asean-ve-bien-dong-2306247.html\n",
      "https://vietnamnet.vn/ngoai-truong-my-den-nha-chia-buon-voi-gia-dinh-tong-bi-thu-nguyen-phu-trong-2306069.html\n",
      "https://vietnamnet.vn/dat-nuoc-ta-chua-bao-gio-co-duoc-co-do-tiem-luc-va-uy-tin-quoc-te-nhu-ngay-nay-2306215.html\n",
      "https://vietnamnet.vn/thuoc-phim-nghen-ngao-trong-hai-ngay-quoc-tang-tong-bi-thu-nguyen-phu-trong-2306121.html\n",
      "https://vietnamnet.vn/lanh-dao-dang-nha-nuoc-tuong-niem-cac-anh-hung-liet-si-vao-lang-vieng-bac-2306060.html\n",
      "https://vietnamnet.vn/quoc-tang-tong-bi-thu-nguyen-phu-trong-dan-da-tho-ai-thi-khong-sai-bao-gio-2306170.html\n",
      "https://vietnamnet.vn/bo-cong-an-nghien-cuu-tang-nang-muc-phat-vi-pham-giao-thong-voi-loi-co-y-2306023.html\n",
      "https://vietnamnet.vn/uy-vien-bo-chinh-tri-duoc-thue-biet-thu-cong-vu-rong-500m2-2305859.html\n",
      "https://vietnamnet.vn/lanh-dao-cac-nuoc-quoc-te-chia-buon-voi-viet-nam-va-gia-quyen-tong-bi-thu-2305995.html\n",
      "https://vietnamnet.vn/le-truy-dieu-le-an-tang-tong-bi-thu-nguyen-phu-trong-2305705.html\n",
      "https://vietnamnet.vn/loi-cam-on-cua-ban-le-tang-va-gia-dinh-tong-bi-thu-nguyen-phu-trong-2305897.html\n",
      "https://vietnamnet.vn/tong-bi-thu-nguyen-phu-trong-mai-mai-thuoc-ve-to-quoc-va-nhan-dan-2305875.html\n",
      "https://vietnamnet.vn/toan-van-loi-dieu-tong-bi-thu-nguyen-phu-trong-2305890.html\n",
      "https://vietnamnet.vn/dap-tu-le-tang-tong-bi-thu-nguoi-con-trai-nhac-den-noi-dau-sau-sac-cua-me-2305860.html\n",
      "https://vietnamnet.vn/lanh-dao-lao-campuchia-chia-se-nhung-dong-gop-ky-niem-voi-tong-bi-thu-2305848.html\n",
      "https://vietnamnet.vn/pho-chu-tich-thuong-vien-belarus-pho-thu-tuong-malaysia-vieng-tong-bi-thu-2305767.html\n",
      "https://vietnamnet.vn/cuu-can-bo-o-tphcm-lap-ban-tho-tong-bi-thu-tai-nha-thap-huong-du-49-ngay-2305747.html\n",
      "https://vietnamnet.vn/nhung-bai-hoc-gia-tri-tu-tong-bi-thu-cua-nguyen-pho-ban-noi-chinh-trung-uong-2305338.html\n",
      "https://vietnamnet.vn/tong-bi-thu-nguyen-phu-trong-la-nguoi-ban-vi-dai-cua-trung-quoc-2305676.html\n",
      "https://vietnamnet.vn/hon-55-000-luot-nguoi-vieng-tong-bi-thu-tai-nha-tang-le-quoc-gia-2305734.html\n",
      "https://vietnamnet.vn/tinh-cam-dong-gop-cua-tong-bi-thu-se-luon-duoc-tran-trong-khac-ghi-2305689.html\n",
      "https://vietnamnet.vn/chu-tich-nuoc-to-lam-va-thu-tuong-pham-minh-chinh-tiep-ong-hun-sen-2305671.html\n",
      "https://vietnamnet.vn/5-ngay-song-co-lap-tren-bien-nuoc-o-ngoai-thanh-ha-noi-2306422.html\n",
      "https://vietnamnet.vn/thoi-tiet-ha-noi-3-ngay-toi-mua-giong-manh-nguy-co-loc-set-va-ngap-ung-2306424.html\n",
      "https://vietnamnet.vn/xe-ban-tai-va-cham-voi-tau-hoa-o-dong-nai-2-nguoi-tu-vong-2306436.html\n",
      "https://vietnamnet.vn/luat-trat-tu-an-toan-giao-thong-duong-bo-luc-nao-khong-duoc-bam-coi-2303410.html\n",
      "https://vietnamnet.vn/tai-nan-lien-hoan-giua-4-o-to-tren-cao-toc-ha-noi-hai-phong-2306405.html\n",
      "https://vietnamnet.vn/tau-se11-trat-banh-gan-deo-hai-van-duong-sat-bac-nam-te-liet-2306403.html\n",
      "https://vietnamnet.vn/du-bao-thoi-tiet-29-7-2024-ha-noi-bat-dau-chuoi-ngay-mua-don-dap-2306427.html\n",
      "https://vietnamnet.vn/vu-tinh-that-bong-lai-bi-can-le-thu-van-tu-vong-khi-tai-ngoai-2306426.html\n",
      "https://vietnamnet.vn/mot-doan-dai-lo-thang-long-ngap-sau-da-5-ngay-nguoi-di-duong-kho-so-2306333.html\n",
      "https://vietnamnet.vn/cong-nhan-cong-doan-di-dau-trong-su-nghiep-cong-nghiep-hoa-hien-dai-hoa-2306332.html\n",
      "https://vietnamnet.vn/dong-dat-5-0-do-richter-o-kon-tum-rui-ro-thien-tai-cap-2-2306341.html\n",
      "https://vietnamnet.vn/bac-thong-tin-lu-cuon-troi-ca-ban-o-dien-bien-2306296.html\n",
      "https://vietnamnet.vn/thi-cong-trung-tam-kiem-soat-khong-luu-tphcm-vuot-tien-do-2-thang-2306328.html\n",
      "https://vietnamnet.vn/tat-bat-thi-cong-cau-gan-nghin-ty-o-tphcm-hen-ve-dich-cuoi-nam-nay-2305934.html\n",
      "https://vietnamnet.vn/xuat-hien-vet-nut-dai-hon-20m-tren-mat-duong-deo-prenn-o-da-lat-2306302.html\n",
      "https://vietnamnet.vn/ben-trong-dia-dao-lon-nhat-quang-tri-2304589.html\n",
      "https://vietnamnet.vn/nhieu-xa-ngoai-thanh-ha-noi-da-3-ngay-chim-trong-bien-nuoc-2306251.html\n",
      "https://vietnamnet.vn/xe-khach-chay-lon-tren-cao-toc-hanh-khach-nhao-nhao-thoat-khoi-hoa-hoan-2306198.html\n",
      "https://vietnamnet.vn/du-bao-thoi-tiet-28-7-2024-bac-bo-giam-nhiet-mua-bat-chot-2306248.html\n",
      "https://vietnamnet.vn/nguoi-dan-toi-noi-an-nghi-cua-tong-bi-thu-nguyen-phu-trong-dang-huong-2306134.html\n",
      "https://vietnamnet.vn/vo-chong-cu-ong-80-tuoi-tu-vong-tai-cho-sau-tai-nan-giao-thong-o-dak-lak-2306229.html\n",
      "https://vietnamnet.vn/mua-lon-kem-loc-xoay-cuon-sap-toc-mai-hang-chuc-can-nha-o-mien-tay-2306209.html\n",
      "https://vietnamnet.vn/chay-nha-4-tang-o-ha-noi-luc-giua-trua-2306132.html\n",
      "https://vietnamnet.vn/trom-dot-nhap-van-phong-bao-dan-tri-o-nha-trang-2306194.html\n",
      "https://vietnamnet.vn/xu-phat-nguoi-tung-tin-sai-su-that-ve-nu-cong-nhan-lay-truyen-hiv-2306173.html\n",
      "https://vietnamnet.vn/lai-suat-ngan-hang-hom-nay-29-7-2024-them-ngan-hang-tang-lai-huy-dong-vuot-6-2306469.html\n",
      "https://vietnamnet.vn/viet-nam-don-10-trieu-khach-quoc-te-khach-chau-au-tang-vot-2306506.html\n",
      "https://vietnamnet.vn/cach-gui-tiet-kiem-online-khong-bao-gio-bi-mat-tien-trong-tai-khoan-2305904.html\n",
      "https://vietnamnet.vn/gia-vang-nhay-mua-kho-luong-cho-dong-thai-tu-nuoc-my-2306394.html\n",
      "https://vietnamnet.vn/trung-quoc-lam-nha-may-dien-hat-nhan-muoi-nong-chay-dau-tien-tren-the-gioi-2306057.html\n",
      "https://vietnamnet.vn/mau-iphone-dinh-cao-mot-thoi-giam-gia-manh-xe-may-ha-gia-lien-tuc-2306224.html\n",
      "https://vietnamnet.vn/vai-tro-doanh-nhan-cuong-do-la-o-qcg-dai-gia-thanh-hoa-bat-tam-vu-trinh-van-quyet-2306271.html\n",
      "https://vietnamnet.vn/sheraton-hai-phong-ra-mat-bo-suu-tap-banh-trung-thu-2024-2305470.html\n",
      "https://vietnamnet.vn/6-thang-dau-nam-vib-lai-4-600-ty-dong-tin-dung-va-huy-dong-tang-5-2306505.html\n",
      "https://vietnamnet.vn/ong-nguyen-thanh-tung-lam-chu-tich-hdqt-ngan-hang-vietcombank-2306354.html\n",
      "https://vietnamnet.vn/gia-xang-dau-hom-nay-29-7-2024-chua-the-but-pha-sau-tuan-giam-manh-2306371.html\n",
      "https://vietnamnet.vn/chung-khoan-nhat-viet-ra-mat-bo-san-pham-vfs-invest-2301316.html\n",
      "https://vietnamnet.vn/cf-holdings-theo-duoi-chien-luoc-da-dang-he-sinh-thai-kinh-doanh-2305527.html\n",
      "https://vietnamnet.vn/vietlott-tim-ra-2-ve-so-trung-tien-ty-chu-nhan-jackpot-hon-189-ty-chua-lo-dien-2306217.html\n",
      "https://vietnamnet.vn/loai-con-trung-gay-hai-cho-dua-van-duoc-ban-cong-khai-du-bi-cam-2306289.html\n",
      "https://vietnamnet.vn/gia-vang-hom-nay-28-7-2024-ket-thuc-tuan-dao-chieu-lien-tuc-2306172.html\n",
      "https://vietnamnet.vn/so-phan-du-thuyen-hang-sang-va-sieu-xe-dat-tien-cua-trinh-van-quyet-2305562.html\n",
      "https://vietnamnet.vn/hai-loai-hat-gia-dang-re-doanh-nghiep-viet-manh-tay-gom-gan-7-trieu-tan-hang-2306075.html\n",
      "https://vietnamnet.vn/ca-map-dao-chieu-manh-tay-gom-vang-2306228.html\n",
      "https://vietnamnet.vn/cong-nghe-moi-bien-chuoi-thanh-soi-det-va-nhien-lieu-phat-dien-2306071.html\n",
      "https://vietnamnet.vn/co-phieu-hng-cua-ty-phu-tran-ba-duong-bi-huy-niem-yet-2306091.html\n",
      "https://vietnamnet.vn/gia-vang-hom-nay-27-7-2024-bat-tang-vang-nhan-lap-tuc-vot-len-77-trieu-luong-2305985.html\n",
      "https://vietnamnet.vn/xay-dung-hoa-binh-cua-ong-le-viet-hai-bi-huy-niem-yet-lieu-co-xoay-chieu-phut-chot-2306027.html\n",
      "https://vietnamnet.vn/doanh-nghiep-cua-dien-gia-day-la-giau-tiep-tuc-thua-lo-2305846.html\n",
      "https://vietnamnet.vn/loat-sep-lon-doanh-nghiep-bat-dong-san-xin-tu-nhiem-2305454.html\n",
      "https://vietnamnet.vn/real-madrid-dang-am-tham-ky-ban-than-cua-jude-bellingham-la-ai-2306509.html\n",
      "https://vietnamnet.vn/psg-dat-thoa-thuan-ky-jadon-sancho-mu-khap-khoi-cho-chot-gia-2306490.html\n",
      "https://vietnamnet.vn/than-dong-endrick-khoe-ban-gai-cuc-xinh-ngay-ra-mat-real-madrid-2306410.html\n",
      "https://vietnamnet.vn/nadal-dai-chien-djokovic-o-vong-2-olympic-2024-2306457.html\n",
      "https://vietnamnet.vn/trinh-thu-vinh-hut-huy-chuong-olympic-vi-dau-2306397.html\n",
      "https://vietnamnet.vn/bang-tong-sap-huy-chuong-olympic-2024-ngay-29-7-2306423.html\n",
      "https://vietnamnet.vn/lich-thi-dau-olympic-2024-cua-doan-the-thao-viet-nam-hom-nay-29-7-2306417.html\n",
      "https://vietnamnet.vn/mu-tra-luong-leny-yoro-cao-gan-gap-4-lan-so-voi-real-madrid-2306412.html\n",
      "https://vietnamnet.vn/lich-thi-dau-bong-da-hom-nay-29-7-2024-2306413.html\n",
      "https://vietnamnet.vn/nico-williams-nhan-de-nghi-gia-han-khung-barca-gap-kho-2306331.html\n",
      "https://vietnamnet.vn/olympic-2024-ngay-28-7-trinh-thu-vinh-hut-huy-chuong-day-tiec-nuoi-2306269.html\n",
      "https://vietnamnet.vn/ket-qua-bong-da-hom-nay-29-7-2024-2306414.html\n",
      "https://vietnamnet.vn/ha-noi-fc-bo-nhiem-tro-ly-hlv-kim-sang-sik-lam-thuyen-truong-2306336.html\n",
      "https://vietnamnet.vn/nu-canada-bi-phat-6-diem-vi-do-tham-doi-thu-o-olympic-2024-2306330.html\n",
      "https://vietnamnet.vn/ha-noi-vo-dich-giai-bong-da-nu-u16-quoc-gia-2024-2306437.html\n",
      "https://vietnamnet.vn/tp-hcm-i-bao-ve-thanh-cong-ngoi-vo-dich-giai-nu-vdqg-2024-2306407.html\n",
      "https://vietnamnet.vn/mu-gap-hoa-lon-sau-tran-thua-1-2-arsenal-2306299.html\n",
      "https://vietnamnet.vn/tu-ha-noi-fc-nghi-ve-con-duong-cua-bong-da-viet-nam-2306235.html\n",
      "https://vietnamnet.vn/chelsea-tham-bai-kho-tin-1-4-truoc-celtic-2306304.html\n",
      "https://vietnamnet.vn/bang-tong-sap-huy-chuong-olympic-2024-hom-nay-28-7-2306281.html\n",
      "https://vietnamnet.vn/ket-qua-bong-da-nhat-ban-1-0-mali-bong-da-nam-olympic-2024-2306272.html\n",
      "https://vietnamnet.vn/hoang-duc-tuan-hai-lan-toa-gop-suc-gay-quy-tu-thien-2306395.html\n",
      "https://vietnamnet.vn/danh-bai-doi-thu-kenya-hoang-van-hon-vo-dich-giai-chay-tai-tphcm-2306345.html\n",
      "https://vietnamnet.vn/trinh-thu-vinh-sang-cua-gianh-huy-chuong-olympic-paris-2024-2306261.html\n",
      "https://vietnamnet.vn/ket-qua-bong-da-phap-1-0-guinea-bong-da-nam-olympic-2024-2306274.html\n",
      "https://vietnamnet.vn/tong-thong-putin-neu-ly-do-may-bay-nem-bom-nga-trung-quoc-ap-sat-alaska-2306461.html\n",
      "https://vietnamnet.vn/mua-lon-gay-lo-dat-o-trung-quoc-15-nguoi-thiet-mang-2306478.html\n",
      "https://vietnamnet.vn/ong-donald-trump-va-ba-kamala-harris-buoc-vao-chang-dua-100-ngay-cuoi-cung-2306456.html\n",
      "https://vietnamnet.vn/truc-thang-nga-bi-pha-huy-chien-binh-wagner-thiet-mang-o-mali-2306455.html\n",
      "https://vietnamnet.vn/khu-vuc-gan-pokrovsk-nong-nhat-tien-tuyen-nga-kiem-soat-2-lang-o-donetsk-2306454.html\n",
      "https://vietnamnet.vn/bay-bang-chien-truong-se-quyet-dinh-ket-qua-bau-tong-thong-my-2024-2304720.html\n",
      "https://vietnamnet.vn/my-he-lo-dan-vu-khi-dat-do-doi-pho-voi-houthi-2306316.html\n",
      "https://vietnamnet.vn/cuu-quan-chuc-nha-trang-tro-thanh-gian-diep-vi-tui-xach-hang-hieu-2302780.html\n",
      "https://vietnamnet.vn/ba-kamala-harris-xoa-bo-khoang-cach-voi-ong-trump-chi-trong-1-tuan-2306408.html\n",
      "https://vietnamnet.vn/iran-lebanon-noi-cuoc-phieu-luu-quan-su-cua-israel-dan-toi-hau-qua-kho-luong-2306419.html\n",
      "https://vietnamnet.vn/nga-phan-bac-tuyen-bo-cua-kiev-ukraine-tap-kich-hang-loat-may-bay-cua-doi-thu-2306275.html\n",
      "https://vietnamnet.vn/kho-dau-nga-bi-uav-tap-kich-anh-gui-12-000-vu-khi-chong-tang-cho-ukraine-2306355.html\n",
      "https://vietnamnet.vn/cau-be-11-tuoi-dung-ben-duong-suot-hai-ngay-cau-cuu-giup-chon-cat-me-2305473.html\n",
      "https://vietnamnet.vn/dong-thai-lich-su-cua-my-tai-nhat-giua-luc-cang-thang-trong-vung-tang-2306411.html\n",
      "https://vietnamnet.vn/tong-thong-putin-du-duyet-binh-ngay-hai-quan-nga-hang-tram-tau-chien-tham-gia-2306374.html\n",
      "https://vietnamnet.vn/israel-canh-bao-chien-tranh-tong-luc-voi-hezbollah-2306294.html\n",
      "https://vietnamnet.vn/video-nhom-tau-chien-nga-cap-cang-cuba-2306291.html\n",
      "https://vietnamnet.vn/tu-con-no-tro-thanh-trieu-phu-nho-dao-duoc-vien-kim-cuong-khong-lo-2305780.html\n",
      "https://vietnamnet.vn/nguoi-dan-ong-an-do-chon-cach-khac-thuong-de-chung-minh-minh-con-song-2305922.html\n",
      "https://vietnamnet.vn/video-so-chi-huy-ukraine-o-donbass-no-tung-vi-trung-ten-lua-nga-2305373.html\n",
      "https://vietnamnet.vn/canh-sat-nga-dieu-tra-vu-trom-cay-cau-sat-nang-60-tan-2306273.html\n",
      "https://vietnamnet.vn/video-ten-lua-himars-ukraine-ban-chay-xe-phong-khong-pantsir-2305402.html\n",
      "https://vietnamnet.vn/vo-dap-o-mien-nam-nuoc-nga-hang-tram-nguoi-phai-so-tan-2306202.html\n",
      "https://vietnamnet.vn/ukraine-hut-hoi-o-mat-tran-pokrovsk-quan-nga-tien-deu-dan-o-kharkiv-2306046.html\n",
      "https://vietnamnet.vn/nga-binh-luan-ve-loi-khen-ngoi-cua-ong-trump-tuyen-bo-khong-ao-tuong-2306048.html\n",
      "https://vietnamnet.vn/diem-san-nhieu-truong-dai-hoc-chi-tu-15-2306279.html\n",
      "https://vietnamnet.vn/5-hoc-sinh-viet-nam-gianh-huy-chuong-olympic-vat-ly-quoc-te-2024-2306277.html\n",
      "https://vietnamnet.vn/chi-dao-lam-ro-vu-nu-giao-vien-mam-non-bi-tung-clip-nong-2306325.html\n",
      "https://vietnamnet.vn/lbo-truong-gd-dt-khong-dem-cay-cu-thanh-tich-tao-ap-luc-cho-hoc-sinh-2306440.html\n",
      "https://vietnamnet.vn/song-nao-chay-qua-ca-ba-nuoc-viet-nam-lao-campuchia-2306292.html\n",
      "https://vietnamnet.vn/diem-chuan-truong-dh-y-duoc-dhqghn-nam-2024-cac-phuong-thuc-xet-tuyen-som-2306295.html\n",
      "https://vietnamnet.vn/nam-sinh-truong-lang-duy-nhat-dat-diem-tuyet-doi-olympic-toan-quoc-te-nam-2024-2306176.html\n",
      "https://vietnamnet.vn/tinh-thanh-nao-dong-dan-nhat-viet-nam-hien-nay-2306168.html\n",
      "https://vietnamnet.vn/3-diem-vuot-troi-cua-truong-quoc-te-him-lam-bac-ninh-2306184.html\n",
      "https://vietnamnet.vn/bai-phat-bieu-gay-sot-cua-vo-ty-phu-bill-gates-tai-le-tot-nghiep-dh-stanford-2305322.html\n",
      "https://vietnamnet.vn/diem-chuan-dh-cong-nghiep-ha-noi-nam-2024-se-the-nao-2306199.html\n",
      "https://vietnamnet.vn/truong-dh-sai-gon-dieu-chinh-chi-tieu-tuyen-sinh-cac-nganh-su-pham-2306117.html\n",
      "https://vietnamnet.vn/bo-gd-dt-quy-dinh-cac-moc-thoi-gian-thi-sinh-thanh-toan-le-phi-xet-tuyen-dai-hoc-2306076.html\n",
      "https://vietnamnet.vn/hang-nghin-khoi-bun-ap-vao-truong-tieu-hoc-o-son-la-co-noi-den-nua-met-2306171.html\n",
      "https://vietnamnet.vn/du-doan-diem-chuan-truong-dh-ha-noi-nam-2024-tung-nganh-hoc-2305845.html\n",
      "https://vietnamnet.vn/diem-chuan-mot-so-nganh-truong-dh-su-pham-ky-thuat-tphcm-se-cao-2305777.html\n",
      "https://vietnamnet.vn/co-giao-92-tuoi-ngoi-xe-lan-den-tien-dua-nguoi-hoc-tro-nguyen-phu-trong-2305791.html\n",
      "https://vietnamnet.vn/thay-giao-90-tuoi-cua-tong-bi-thu-bay-tu-duc-ve-viet-nam-vieng-hoc-tro-2305754.html\n",
      "https://vietnamnet.vn/diem-san-vao-cac-truong-cong-an-nam-2024-2305612.html\n",
      "https://vietnamnet.vn/viet-nam-hien-nay-co-bao-nhieu-san-bay-dang-hoat-dong-2305794.html\n",
      "https://vietnamnet.vn/xac-minh-thong-tin-be-3-tuoi-o-khanh-hoa-nguy-kich-sau-khi-o-truong-ve-2305624.html\n",
      "https://vietnamnet.vn/nguyen-nhan-quoc-gia-dau-mo-giau-co-nhung-trinh-do-tieng-anh-ap-chot-the-gioi-2305318.html\n",
      "https://vietnamnet.vn/dat-22-diem-khoi-d01-2024-nen-chon-nganh-hoc-nao-truong-dai-hoc-nao-2305228.html\n",
      "https://vietnamnet.vn/diem-san-quan-doi-nam-2024-cao-nhat-24-2305657.html\n",
      "https://vietnamnet.vn/hoi-thao-ve-vi-nguyen-bo-truong-voi-su-phat-trien-khoa-hoc-giao-duc-viet-nam-2305969.html\n",
      "https://vietnamnet.vn/fan-ruot-khoc-nuc-no-vi-duoc-huong-tram-se-duyen-ngay-tren-san-khau-2306441.html\n",
      "https://vietnamnet.vn/tham-tu-lung-danh-conan-thang-ngoan-muc-bo-doi-deadpool-wolverine-o-rap-viet-2306458.html\n",
      "https://vietnamnet.vn/an-tran-khong-nho-nghe-si-tran-manh-tuan-ho-tro-ha-minh-thay-doi-phong-cach-2306497.html\n",
      "https://vietnamnet.vn/ca-si-long-nhat-lam-liveshow-ky-niem-35-nam-hat-2305328.html\n",
      "https://vietnamnet.vn/sao-viet-28-7-2024-nsut-vu-luan-phuong-le-tinh-tu-truong-ngoc-anh-xinh-dep-2306388.html\n",
      "https://vietnamnet.vn/buc-anh-hut-12-trieu-fan-cua-robert-downey-jr-2306460.html\n",
      "https://vietnamnet.vn/hoa-hau-nguyen-dieu-hoa-hanh-phuc-ben-chong-an-do-2302880.html\n",
      "https://vietnamnet.vn/thi-sinh-miss-grand-vietnam-2024-cao-1-78m-xinh-nhu-dien-vien-thai-2303361.html\n",
      "https://vietnamnet.vn/biet-thu-trieu-do-moi-mua-cua-danh-hai-thuy-nga-o-my-2306227.html\n",
      "https://vietnamnet.vn/nhan-sac-doi-thuc-cua-dien-vien-viet-hoa-co-canh-nong-tao-bao-voi-thanh-son-2303122.html\n",
      "https://vietnamnet.vn/anh-trai-tap-4-tuan-hung-dat-minh-vao-nguy-hiem-noi-dau-cua-binz-2306262.html\n",
      "https://vietnamnet.vn/thanh-huong-tich-cuc-tung-anh-bikini-khoe-duong-cong-tao-bao-sau-xac-nhan-ly-hon-2302082.html\n",
      "https://vietnamnet.vn/kasim-hoang-vu-lo-dien-khac-la-sau-bao-benh-2306056.html\n",
      "https://vietnamnet.vn/nhan-sac-doi-thuc-dien-vien-cu-thi-tra-trong-phim-nhung-neo-duong-gan-xa-2303291.html\n",
      "https://vietnamnet.vn/chi-dai-lang-nhac-xu-trung-vap-phai-chi-trich-chua-tung-co-trong-su-nghiep-2306258.html\n",
      "https://vietnamnet.vn/le-uyen-nhy-dau-yeu-oi-mot-thoi-tuoi-43-goi-cam-mua-nha-o-dao-song-tieu-dao-2300513.html\n",
      "https://vietnamnet.vn/nguoi-dep-miss-grand-vietnam-no-luc-vuot-cu-soc-mat-bo-me-bi-ung-thu-2303354.html\n",
      "https://vietnamnet.vn/hoa-nhac-toyota-2024-tai-hien-khung-canh-chau-au-the-ky-20-2305408.html\n",
      "https://vietnamnet.vn/mc-nguyen-khang-tuoi-40-kin-tieng-doi-tu-vuot-bien-co-chay-nha-hang-2298328.html\n",
      "https://vietnamnet.vn/h-hen-nie-chia-se-xuc-dong-minh-huong-vang-anh-xinh-dep-quyen-ru-2306211.html\n",
      "https://vietnamnet.vn/khi-phu-nu-lam-chu-mua-2-len-song-gio-vang-vtv3-2305842.html\n",
      "https://vietnamnet.vn/vai-nhat-kim-anh-gay-tranh-cai-2306218.html\n",
      "https://vietnamnet.vn/ba-nam-dien-vien-chuyen-vai-phan-dien-la-cong-an-that-ngoai-doi-2304499.html\n",
      "https://vietnamnet.vn/bui-tien-thuong-sang-tac-ca-khuc-ngoi-ca-que-huong-chi-hai-nam-tan-2305989.html\n",
      "https://vietnamnet.vn/deadpool-wolverine-man-ket-hop-200-trieu-usd-cua-2-tai-tu-sexy-nhat-the-gioi-2305225.html\n",
      "https://vietnamnet.vn/dien-vien-tu-oanh-huong-tuoi-mang-nu-cuoi-hanh-phuc-toi-tre-em-va-phu-nu-2306428.html\n",
      "https://vietnamnet.vn/rung-cam-ve-dep-canh-vat-qua-tranh-truc-hoa-cua-ho-hung-2306329.html\n",
      "https://vietnamnet.vn/nsnd-mai-hoa-nsnd-tan-minh-bieu-dien-trong-dem-nhac-tri-an-anh-hung-liet-si-2306230.html\n",
      "https://vietnamnet.vn/thoi-quen-doc-sach-cua-dien-vien-phat-la-2298947.html\n",
      "https://vietnamnet.vn/buc-chan-dung-tu-hoa-bi-giau-kin-63-nam-2305374.html\n",
      "https://vietnamnet.vn/nsnd-kim-cuong-tuoi-87-tu-con-nha-noi-den-ky-nu-huyen-thoai-san-khau-viet-2304519.html\n",
      "https://vietnamnet.vn/kham-pha-cac-gia-tri-va-nang-luc-cot-loi-cua-ban-than-cung-ts-nguyen-thanh-nhon-2306287.html\n",
      "https://vietnamnet.vn/nsnd-dieu-huong-nghi-luc-phi-thuong-cua-co-gai-vinh-linh-nang-long-voi-ca-hue-2304235.html\n",
      "https://vietnamnet.vn/nsnd-quoc-hung-xuc-dong-khi-nhac-toi-nguoi-cha-la-chien-si-bo-doi-cu-ho-2306178.html\n",
      "https://vietnamnet.vn/chan-dung-cac-me-viet-nam-anh-hung-qua-net-ve-cua-hoa-si-76-tuoi-2306110.html\n",
      "https://vietnamnet.vn/bo-sach-tri-an-nhung-bac-anh-hung-tre-tuoi-dat-viet-2306112.html\n",
      "https://vietnamnet.vn/giai-ma-bi-an-the-gioi-xung-quanh-cung-sach-van-vat-van-hanh-ra-sao-2304632.html\n",
      "https://vietnamnet.vn/tong-bi-thu-nguyen-phu-trong-tung-viet-loi-tua-sach-ve-dai-tuong-vo-nguyen-giap-2305639.html\n",
      "https://vietnamnet.vn/cuoc-song-ve-huu-cua-nsnd-ta-minh-tam-2304229.html\n",
      "https://vietnamnet.vn/giao-hoi-huong-dan-cac-chua-tuong-niem-tong-bi-thu-nguyen-phu-trong-2305128.html\n",
      "https://vietnamnet.vn/tac-gia-giau-mat-cua-cuon-sach-duoc-binh-chon-hay-nhat-the-ky-21-2304831.html\n",
      "https://vietnamnet.vn/hoi-ky-cua-ba-kamala-harris-lot-top-best-seller-sau-khi-tranh-cu-tong-thong-my-2305440.html\n",
      "https://vietnamnet.vn/toan-hoc-lam-thay-doi-vinh-vien-lich-su-the-gioi-nhu-the-nao-2300149.html\n",
      "https://vietnamnet.vn/cuoc-song-cua-nsnd-minh-hoa-sau-5-nam-nghi-huu-2304686.html\n",
      "https://vietnamnet.vn/uy-ban-di-san-the-gioi-dong-thuan-voi-bao-cao-bao-ton-hoang-thanh-thang-long-2305219.html\n",
      "https://vietnamnet.vn/cu-ong-90-tuoi-khong-nha-khong-tien-doi-mua-nang-ban-sach-cu-muu-sinh-2299354.html\n",
      "https://vietnamnet.vn/nhac-si-tran-tien-16-nam-o-an-tuoi-xe-chieu-dung-cam-duong-dau-bao-benh-2304267.html\n",
      "https://vietnamnet.vn/thuc-trang-dem-khac-chan-dung-tong-bi-thu-nguyen-phu-trong-2304292.html\n",
      "https://vietnamnet.vn/trao-tang-di-anh-mau-10-nu-dan-quan-lam-ha-cho-bao-tang-phu-nu-viet-nam-2304881.html\n",
      "https://vietnamnet.vn/giao-hoi-phat-giao-chia-buon-ve-viec-tong-bi-thu-nguyen-phu-trong-tu-tran-2304878.html\n",
      "https://vietnamnet.vn/3-lan-dam-mua-ban-duoc-2-can-ho-chang-trai-son-la-tiet-lo-bi-mat-nghe-sale-2304110.html\n",
      "https://vietnamnet.vn/bi-an-xac-quai-vat-song-amazon-bat-ngo-xuat-hien-trong-ao-den-2304859.html\n",
      "https://vietnamnet.vn/xe-co-khong-dam-nhuc-nhich-nhuong-duong-cho-ca-sau-bang-qua-2306451.html\n",
      "https://vietnamnet.vn/hang-hang-khong-tao-dieu-kien-cho-khach-nu-chon-cho-ngoi-tranh-dan-ong-2304224.html\n",
      "https://vietnamnet.vn/tam-su-me-bim-sua-242-vo-chong-bat-dac-di-ly-than-chia-con-de-cham-2306246.html\n",
      "https://vietnamnet.vn/hang-xom-xau-tinh-chuyen-di-ca-chung-cu-treo-bang-ron-an-mung-2304642.html\n",
      "https://vietnamnet.vn/nguoi-dan-ong-tan-cong-truong-hoc-de-khang-dinh-ban-than-van-con-song-2306041.html\n",
      "https://vietnamnet.vn/co-gai-mac-vay-di-giay-cao-got-ha-guc-nguoi-yeu-cu-quay-roi-2306390.html\n",
      "https://vietnamnet.vn/xau-ho-vi-me-sinh-con-cho-3-nguoi-dan-ong-co-gai-lam-dieu-khong-ngo-2305547.html\n",
      "https://vietnamnet.vn/ngan-nang-huong-tay-me-dam-ha-noi-bien-ban-cong-4m2-thanh-khu-vuon-xanh-mat-2306052.html\n",
      "https://vietnamnet.vn/video-khi-lao-toi-cuop-do-an-hung-han-day-khach-du-lich-nga-xuong-dat-2306256.html\n",
      "https://vietnamnet.vn/chang-trai-sai-thanh-cao-gan-2m-moi-lan-dung-day-lai-khien-moi-nguoi-het-hon-2303524.html\n",
      "https://vietnamnet.vn/tang-do-an-cho-shipper-chu-quan-bun-rieu-o-ha-noi-nhan-lai-dieu-cam-dong-2305958.html\n",
      "https://vietnamnet.vn/ban-than-ngoai-tinh-voi-anh-re-nhung-toi-khong-ke-cho-chi-gai-vi-mot-ly-do-2303532.html\n",
      "https://vietnamnet.vn/nhom-nguoi-tre-dua-nu-liet-si-ve-nha-sau-50-nam-me-97-tuoi-khoc-nghen-2306128.html\n",
      "https://vietnamnet.vn/cuoc-song-cua-vo-viet-voi-gia-dinh-chong-o-vung-nong-thon-nuoc-my-2304899.html\n",
      "https://vietnamnet.vn/giu-tien-hay-dua-cho-con-cai-cau-tra-loi-cua-ong-lao-75-tuoi-gay-xuc-dong-2305784.html\n",
      "https://vietnamnet.vn/cuu-quan-nhan-tham-nghia-trang-nghen-ngao-truoc-nhung-ky-vat-cua-liet-si-2305941.html\n",
      "https://vietnamnet.vn/cu-ba-u100-binh-tinh-giua-bien-nuoc-va-chuyen-am-long-trong-dem-mua-lu-o-son-la-2305885.html\n",
      "https://vietnamnet.vn/nguoi-dan-ong-14-nam-vuot-hang-tram-km-thap-huong-ngoi-mo-liet-si-khong-hai-cot-2305833.html\n",
      "https://vietnamnet.vn/du-con-cai-co-hieu-thao-den-dau-ban-cung-phai-nho-dinh-luat-chim-se-2305239.html\n",
      "https://vietnamnet.vn/me-viet-nam-anh-hung-103-tuoi-nuoc-mat-van-chua-ngung-roi-mong-tim-duoc-mo-con-2305694.html\n",
      "https://vietnamnet.vn/dat-noi-chien-khong-dau-tren-mang-nguoi-phu-nu-nhan-ve-kien-hang-hoang-hon-2306042.html\n",
      "https://vietnamnet.vn/mua-chiec-binh-4-usd-ve-trang-tri-nguoi-phu-nu-bat-ngo-khi-biet-gia-tri-that-2305798.html\n",
      "https://vietnamnet.vn/me-viet-nam-anh-hung-109-tuoi-moi-ngay-van-mong-con-tro-ve-de-cung-an-com-2305881.html\n",
      "https://vietnamnet.vn/cho-8-tieng-khong-duoc-cap-cuu-nguoi-phu-nu-tu-vong-trong-phong-cho-2306093.html\n",
      "https://vietnamnet.vn/gan-50-du-khach-nghi-ngo-doc-thuc-pham-o-mui-ne-2306389.html\n",
      "https://vietnamnet.vn/cu-tri-de-nghi-ho-tro-muc-dong-bhyt-khi-luong-co-so-tang-bo-truong-y-te-noi-gi-2306334.html\n",
      "https://vietnamnet.vn/con-gai-cap-cuu-trong-tinh-trang-nguy-kich-tu-thoi-quen-chu-quan-cua-me-2306327.html\n",
      "https://vietnamnet.vn/bo-vien-di-chua-lanh-nu-dieu-duong-tu-tuoc-bo-su-song-cua-minh-2303595.html\n",
      "https://vietnamnet.vn/q-a-thang-duong-lam-nuoc-hang-kho-thit-ca-co-hai-khong-2305772.html\n",
      "https://vietnamnet.vn/cap-cuu-trong-tinh-trang-nguy-kich-sau-bua-nhau-2306208.html\n",
      "https://vietnamnet.vn/3-phut-co-mot-ca-tu-vong-do-dot-quy-ban-can-nho-4-dau-hieu-nhan-biet-2303914.html\n",
      "https://vietnamnet.vn/nguoi-dan-ong-cap-cuu-khan-cap-khi-mo-mau-tang-gan-50-lan-2306109.html\n",
      "https://vietnamnet.vn/phao-cau-ga-nhieu-nguoi-thich-an-nhung-chua-day-chat-gay-hai-2305900.html\n",
      "https://vietnamnet.vn/len-ban-mo-cap-cuu-vi-thoi-quen-nhieu-nguoi-viet-mac-phai-khi-dau-bung-2306054.html\n",
      "https://vietnamnet.vn/3-khong-an-4-khong-lam-cua-bac-si-song-tho-103-tuoi-2305843.html\n",
      "https://vietnamnet.vn/tac-hai-khi-an-sang-qua-muon-2305223.html\n",
      "https://vietnamnet.vn/tim-dap-nhanh-gap-3-lan-binh-thuong-nguoi-phu-nu-tre-phai-di-cap-cuu-2305976.html\n",
      "https://vietnamnet.vn/mo-cap-cuu-cho-nu-benh-nhan-chi-nang-35-kg-2305982.html\n",
      "https://vietnamnet.vn/loat-lo-kem-chong-nang-cham-soc-toc-my-pham-vi-pham-bi-bo-y-te-thu-hoi-2305986.html\n",
      "https://vietnamnet.vn/ba-dieu-cam-ky-khi-an-rau-muong-2305613.html\n",
      "https://vietnamnet.vn/loai-cay-moc-dai-nhung-cuc-tot-cho-suc-khoe-2303312.html\n",
      "https://vietnamnet.vn/tac-dung-cua-thoi-quen-tien-dau-ngu-do-cua-nguoi-nhat-2265805.html\n",
      "https://vietnamnet.vn/nghi-van-loai-ruou-khien-1-nguoi-tu-vong-4-nguoi-di-cap-cuu-o-ha-noi-2305688.html\n",
      "https://vietnamnet.vn/bac-si-cap-cuu-be-trai-duoi-nuoc-nghe-tim-con-dap-lai-toi-chay-nuoc-mat-2305628.html\n",
      "https://vietnamnet.vn/dinh-duong-cua-loai-cu-gia-re-o-viet-nam-duoc-trung-quoc-bao-mua-luong-ky-luc-2305464.html\n",
      "https://vietnamnet.vn/nguoi-phu-nu-phai-di-cap-cuu-vi-tai-nan-bat-ngo-ngay-trong-vuon-nha-2305546.html\n",
      "https://vietnamnet.vn/nguoi-dan-ong-phai-cap-cuu-khan-cap-khi-vua-di-bat-ong-2305563.html\n",
      "https://vietnamnet.vn/toi-da-chuan-bi-cho-tuoi-gia-tu-nam-30-tuoi-2305323.html\n",
      "https://vietnamnet.vn/tiktok-thu-thap-du-lieu-ve-ton-giao-vu-khi-va-tinh-trang-pha-thai-2306500.html\n",
      "https://vietnamnet.vn/van-co-bac-ty-cua-mark-zuckerberg-bao-gio-co-ket-qua-2306409.html\n",
      "https://vietnamnet.vn/bao-ve-gan-11-trieu-nguoi-dan-khoi-website-lua-dao-vi-pham-phap-luat-2306353.html\n",
      "https://vietnamnet.vn/bo-tt-tt-phat-hanh-bo-tem-buu-chinh-thu-3-ve-bao-vat-quoc-gia-viet-nam-2306322.html\n",
      "https://vietnamnet.vn/nguoi-viet-do-tien-mua-sam-online-so-tai-khoan-bi-lo-lot-do-ma-doc-tang-vot-2306310.html\n",
      "https://vietnamnet.vn/meta-doi-mat-an-phat-vo-tien-khoang-hau-2306233.html\n",
      "https://vietnamnet.vn/microsoft-dua-ra-thay-doi-quan-trong-sau-su-co-man-hinh-xanh-chet-choc-2306245.html\n",
      "https://vietnamnet.vn/dung-lo-la-voi-lua-dao-du-da-quet-khuon-mat-chuyen-tien-2306028.html\n",
      "https://vietnamnet.vn/hang-bao-mat-het-hon-vi-tuyen-hacker-lam-nhan-vien-2306122.html\n",
      "https://vietnamnet.vn/trung-quoc-bi-mat-che-tao-sieu-may-tinh-co-quan-trong-yeu-my-bi-ro-ri-tai-lieu-2306019.html\n",
      "https://vietnamnet.vn/apple-bi-loai-khoi-top-5-hang-smartphone-ban-chay-nhat-trung-quoc-2306013.html\n",
      "https://vietnamnet.vn/thuong-tuong-luong-tam-quang-lam-uy-vien-uy-ban-quoc-gia-ve-chuyen-doi-so-2305968.html\n",
      "https://vietnamnet.vn/nguy-co-thieu-dien-thoai-4g-khi-tat-song-2g-2305775.html\n",
      "https://vietnamnet.vn/sinh-vien-viet-nam-thang-lon-tai-cuoc-thi-ky-nang-an-toan-thong-tin-asean-2024-2305912.html\n",
      "https://vietnamnet.vn/hon-43-he-thong-thong-tin-chua-trien-khai-day-du-phuong-an-dam-bao-an-toan-2305779.html\n",
      "https://vietnamnet.vn/ba-harris-mo-tai-khoan-tiktok-bat-chap-my-muon-cam-ung-dung-video-trung-quoc-2305801.html\n",
      "https://vietnamnet.vn/an-do-gay-that-vong-apple-quay-xe-ve-trung-quoc-2305792.html\n",
      "https://vietnamnet.vn/openai-ra-mat-searchgpt-tuyen-chien-voi-google-2305783.html\n",
      "https://vietnamnet.vn/phong-cach-mark-zuckerberg-sau-20-nam-dieu-hanh-facebook-2305569.html\n",
      "https://vietnamnet.vn/elon-musk-khoe-sieu-may-tinh-suc-manh-tuong-duong-8-000-chip-nvidia-h100-2305684.html\n",
      "https://vietnamnet.vn/den-tung-nha-ra-tung-nguoi-van-dong-nguoi-dan-len-4g-2305593.html\n",
      "https://vietnamnet.vn/samsung-ai-tv-giup-thang-hang-trai-nghiem-nguoi-dung-2306102.html\n",
      "https://vietnamnet.vn/bo-truong-tt-tt-nguyen-manh-hung-vieng-tong-bi-thu-nguyen-phu-trong-2305511.html\n",
      "https://vietnamnet.vn/so-tai-khoan-nguoi-viet-bi-lo-lot-do-nhiem-ma-doc-tang-vot-2305481.html\n",
      "https://vietnamnet.vn/da-co-hon-2-3-ty-giao-dich-qua-nen-tang-chia-se-du-lieu-quoc-gia-2305459.html\n",
      "https://vietnamnet.vn/tam-giu-doi-tuong-say-ruou-dung-dao-dam-ban-nhau-tu-vong-2306376.html\n",
      "https://vietnamnet.vn/bat-3-doi-tuong-cuop-giat-truoc-quan-an-o-tphcm-2306220.html\n",
      "https://vietnamnet.vn/nghi-van-ghen-tuong-nguoi-dan-ong-dam-guc-vo-cu-tren-pho-o-vinh-phuc-2306226.html\n",
      "https://vietnamnet.vn/triet-pha-duong-day-ca-do-bong-da-giao-dich-20-ty-dong-o-bac-giang-2306177.html\n",
      "https://vietnamnet.vn/bat-ke-van-chuyen-209kg-ma-tuy-tu-tam-giac-vang-ve-gan-bien-gioi-viet-nam-2306137.html\n",
      "https://vietnamnet.vn/luat-su-cua-ong-trinh-van-quyet-xac-dinh-30-403-nguoi-bi-hai-la-khong-phu-hop-2305944.html\n",
      "https://vietnamnet.vn/cong-an-tphcm-canh-bao-thu-doan-cat-ghep-tao-ra-anh-nong-de-tong-tien-2305987.html\n",
      "https://vietnamnet.vn/cuu-chu-tich-tap-doan-flc-trinh-van-quyet-bi-de-nghi-phat-24-26-nam-tu-2305822.html\n",
      "https://vietnamnet.vn/chan-tuong-kieu-nu-khoe-cuoc-song-sang-chanh-de-buon-ma-tuy-lien-tinh-2305977.html\n",
      "https://vietnamnet.vn/bat-giu-tai-xe-xe-container-chong-doi-csgt-o-ha-tinh-2305853.html\n",
      "https://vietnamnet.vn/de-nghi-tich-thu-so-tien-bi-cao-trinh-van-quyet-thu-loi-bat-chinh-2305829.html\n",
      "https://vietnamnet.vn/khoi-to-3-doi-tuong-lap-khong-ho-so-mua-may-cay-lua-chiem-doat-hon-800-trieu-2305974.html\n",
      "https://vietnamnet.vn/mo-phong-kham-nam-khoa-de-lua-dao-tong-tien-khach-hang-2305872.html\n",
      "https://vietnamnet.vn/len-mang-xa-hoi-dat-lam-gia-giay-to-de-con-di-du-hoc-nguoi-me-bi-khoi-to-2305618.html\n",
      "https://vietnamnet.vn/bat-nhan-vien-ngan-hang-o-tphcm-chiem-doat-8-ty-dong-2305847.html\n",
      "https://vietnamnet.vn/dieu-xe-om-tu-tphcm-xuong-long-an-de-sat-hai-cuop-tai-san-2305749.html\n",
      "https://vietnamnet.vn/loat-cuu-can-bo-o-an-giang-linh-an-vi-rut-ruot-ngan-sach-di-chuc-tet-2297812.html\n",
      "https://vietnamnet.vn/cuu-chu-tich-tap-doan-flc-trinh-van-quyet-khai-ve-khoi-tai-san-cua-minh-2305390.html\n",
      "https://vietnamnet.vn/giam-doc-trung-tam-dang-kiem-lung-tung-khai-ve-viec-dua-tien-cho-lanh-dao-2305260.html\n",
      "https://vietnamnet.vn/nha-dau-tu-de-nghi-ong-trinh-van-quyet-mua-lai-co-phieu-ros-2305131.html\n",
      "https://vietnamnet.vn/dai-ca-ha-thanh-dam-can-bo-cong-an-ngay-tren-pho-2305279.html\n",
      "https://vietnamnet.vn/cuu-cuc-truong-dang-kiem-phu-nhan-trach-nhiem-ve-so-tien-nhan-hoi-lo-40-ty-2305098.html\n",
      "https://vietnamnet.vn/khoi-to-10-nguyen-lanh-dao-can-bo-xa-o-nam-dinh-do-sai-pham-ve-dat-dai-2304976.html\n",
      "https://vietnamnet.vn/bat-nghi-pham-giet-nguoi-o-quang-nam-roi-lan-tron-tai-da-nang-2305069.html\n",
      "https://vietnamnet.vn/bi-bat-vi-khong-tra-lai-gan-500-trieu-dong-cho-nguoi-chuyen-khoan-nham-2304648.html\n",
      "https://vietnamnet.vn/hang-xe-dien-choi-lon-tuyen-bo-hoan-tien-neu-cac-cap-doi-mua-xe-xong-ly-hon-2306383.html\n",
      "https://vietnamnet.vn/diem-danh-loat-sieu-xe-dat-nhat-cua-cuong-do-la-chiec-dat-nhat-gia-hon-40-ty-2306244.html\n",
      "https://vietnamnet.vn/xe-hyundai-creta-vuot-au-qua-khuc-cua-voi-nguoi-phu-nu-tho-dau-ra-cua-so-troi-2306350.html\n",
      "https://vietnamnet.vn/hang-xe-dien-moi-noi-vuot-mat-tesla-ve-do-hai-long-khach-hang-2305994.html\n",
      "https://vietnamnet.vn/nong-tren-duong-het-hon-voi-kieu-lai-xe-kem-duyen-cua-canh-tai-xe-2306146.html\n",
      "https://vietnamnet.vn/xe-mpv-duoi-700-trieu-dua-giam-gia-bang-uu-dai-phi-truoc-ba-2306300.html\n",
      "https://vietnamnet.vn/nhung-o-to-so-san-doi-cao-gia-chua-den-200-trieu-dong-2303462.html\n",
      "https://vietnamnet.vn/trung-quoc-tiep-tuc-manh-tay-ho-tro-tien-cho-nguoi-dan-mua-xe-dien-2306197.html\n",
      "https://vietnamnet.vn/nguoi-gay-tai-nan-giao-thong-can-phai-lam-gi-2306308.html\n",
      "https://vietnamnet.vn/vi-sao-cuu-tong-thong-donald-trump-ghet-xe-dien-2305950.html\n",
      "https://vietnamnet.vn/di-30-000-km-xe-the-thao-dodge-challenger-gt-2021-rot-gia-gan-1-ty-dong-2305999.html\n",
      "https://vietnamnet.vn/tai-hai-khi-hut-thuoc-trong-o-to-du-da-mo-cua-2306297.html\n",
      "https://vietnamnet.vn/ford-mat-hon-2-ty-usd-vi-trieu-hoi-xe-2306236.html\n",
      "https://vietnamnet.vn/nhung-dau-hieu-dang-bao-dong-cua-o-to-2306234.html\n",
      "https://vietnamnet.vn/dau-hieu-nhan-biet-xe-mua-phai-xang-dom-2306237.html\n",
      "https://vietnamnet.vn/don-thang-co-hon-o-to-giam-gia-tram-trieu-xa-hang-ton-2306074.html\n",
      "https://vietnamnet.vn/kho-khan-bua-vay-thuong-hieu-byd-tu-dau-nam-den-nay-khien-nguoi-dung-e-de-2305874.html\n",
      "https://vietnamnet.vn/ong-noi-bi-ha-duong-huyet-bat-tinh-chau-10-tuoi-lai-xe-vao-le-duong-cuu-ong-2305915.html\n",
      "https://vietnamnet.vn/dai-ly-xe-may-vang-khach-suc-mua-giam-nhung-gia-honda-sh-van-chenh-cao-2305621.html\n",
      "https://vietnamnet.vn/4-mau-xe-suv-cu-duoi-100-trieu-dong-thay-xe-may-che-mua-che-nang-2305571.html\n",
      "https://vietnamnet.vn/do-o-to-giua-duong-de-di-mua-do-nam-tai-xe-con-mia-mai-nguoi-nhac-nho-2305643.html\n",
      "https://vietnamnet.vn/co-gai-di-xe-honda-gap-tai-nan-bi-liet-tu-chi-kien-hang-vi-day-dai-an-toan-kem-2305332.html\n",
      "https://vietnamnet.vn/chery-fulwin-t10-lap-ky-luc-suv-hybrid-sac-dien-chay-duoc-xa-nhat-2305800.html\n",
      "https://vietnamnet.vn/hang-xe-bi-kien-vi-xe-suv-co-lop-son-loi-va-phai-sua-chua-voi-gia-250-trieu-dong-2305817.html\n",
      "https://vietnamnet.vn/suc-mua-yeu-thi-truong-o-to-van-ngap-trong-kho-khan-2305815.html\n",
      "https://vietnamnet.vn/gia-dat-tphcm-sap-dieu-chinh-tang-gia-nha-o-lieu-co-leo-thang-2306203.html\n",
      "https://vietnamnet.vn/om-hau-bao-5-ty-dong-cho-mua-to-chot-di-mua-nha-ha-noi-2305667.html\n",
      "https://vietnamnet.vn/gia-dat-tphcm-du-kien-cao-nhat-810-trieu-dong-m2-nha-tro-toi-thieu-5m2-nguoi-2306144.html\n",
      "https://vietnamnet.vn/da-nang-canh-bao-du-an-can-ho-ben-song-han-chua-du-dieu-kien-mo-ban-2305516.html\n",
      "https://vietnamnet.vn/ngoi-tren-lua-vi-mua-nha-xay-trai-phep-tren-dat-nguoi-khac-2305952.html\n",
      "https://vietnamnet.vn/loi-the-khac-biet-cua-bat-dong-san-ho-tay-2306491.html\n",
      "https://vietnamnet.vn/ra-quan-du-an-thanh-pho-thoi-dai-sun-urban-city-ha-nam-2306468.html\n",
      "https://vietnamnet.vn/loat-sep-lon-doanh-nghiep-bat-dong-san-xin-tu-nhiem-2305454.html\n",
      "https://vietnamnet.vn/biet-thu-lien-bien-serenity-ban-giao-huong-giua-4-tang-xanh-o-vung-tau-2306107.html\n",
      "https://vietnamnet.vn/tiem-nang-cua-shophouse-him-lam-thuong-tin-2305918.html\n",
      "https://vietnamnet.vn/lo-dien-tan-chu-tich-hdqt-vinaconex-sau-khi-ong-dao-ngoc-thanh-tu-nhiem-2305975.html\n",
      "https://vietnamnet.vn/huyen-no-cong-hon-21-5-ty-tinh-yeu-cau-kiem-diem-lam-ro-trach-nhiem-2305665.html\n",
      "https://vietnamnet.vn/chu-tich-71-tuoi-cua-tap-doan-ha-do-tu-nhiem-2305919.html\n",
      "https://vietnamnet.vn/khu-nha-trieu-do-ngap-sau-trong-bien-nuoc-dan-thi-nhau-dap-dap-be-bo-2305242.html\n",
      "https://vietnamnet.vn/sap-dieu-chinh-gia-dat-tai-tphcm-cao-nhat-810-trieu-dong-m2-2305855.html\n",
      "https://vietnamnet.vn/bi-chu-no-yeu-cau-mo-thu-tuc-pha-san-cong-ty-ldg-noi-gi-2305807.html\n",
      "https://vietnamnet.vn/yeu-cau-thao-do-khu-vui-choi-khong-phep-sun-valley-farm-neu-khong-se-cuong-che-2305557.html\n",
      "https://vietnamnet.vn/toa-thap-hang-nhat-trong-quan-the-sun-symphony-residence-2305892.html\n",
      "https://vietnamnet.vn/chuyen-gia-canh-bao-nguyen-nhan-nha-truot-sap-biet-thu-o-ha-noi-sau-mua-lon-2305476.html\n",
      "https://vietnamnet.vn/doanh-nghiep-bat-dong-san-co-tieng-phia-nam-bi-mo-thu-tuc-pha-san-2305528.html\n",
      "https://vietnamnet.vn/da-nang-sap-dau-gia-hon-120-lo-dat-o-du-thu-ve-tren-720-ty-dong-2305526.html\n",
      "https://vietnamnet.vn/dien-tich-nha-tro-tai-tphcm-toi-thieu-5m2-san-nguoi-chu-phai-dang-ky-kinh-doanh-2305403.html\n",
      "https://vietnamnet.vn/nha-mai-do-binh-yen-giua-lang-chai-hoi-an-2305213.html\n",
      "https://vietnamnet.vn/khanh-hoa-day-nhanh-tien-do-dau-gia-hon-60-co-so-nha-dat-2305251.html\n",
      "https://vietnamnet.vn/chu-dau-tu-hua-thang-3-xong-het-thang-7-dan-van-chua-duoc-giao-nha-o-xa-hoi-2305166.html\n",
      "https://vietnamnet.vn/video-khi-lao-toi-cuop-do-an-hung-han-day-khach-du-lich-nga-xuong-dat-2306256.html\n",
      "https://vietnamnet.vn/co-gai-ha-noi-phan-khich-cuoi-lac-da-ngam-nhung-con-cat-o-sa-mac-vong-am-2302884.html\n",
      "https://vietnamnet.vn/khach-tay-xuyt-xoa-khen-pho-bo-2-5-trieu-dong-o-tphcm-trang-mieng-kem-nuoc-mam-2305599.html\n",
      "https://vietnamnet.vn/khach-tay-lieu-minh-phuot-xe-may-len-ha-giang-gap-nan-khi-om-khuc-cua-hep-2304997.html\n",
      "https://vietnamnet.vn/nhung-canh-dieu-khong-lo-thap-sang-bien-dem-o-quang-nam-du-khach-do-xo-check-in-2306213.html\n",
      "https://vietnamnet.vn/con-pho-doc-nhat-khong-co-nha-dan-giua-long-ha-noi-2306040.html\n",
      "https://vietnamnet.vn/48-gio-kham-pha-paris-noi-dien-ra-olympic-2024-2306021.html\n",
      "https://vietnamnet.vn/quan-ca-phe-nhu-rung-nhiet-doi-co-goc-ngam-duong-tau-than-thanh-o-nha-trang-2305056.html\n",
      "https://vietnamnet.vn/ve-sau-thanh-con-sot-chu-du-tu-nha-hang-hang-sang-toi-ban-nhau-via-he-2305006.html\n",
      "https://vietnamnet.vn/bi-ngua-hoang-gia-can-nhanh-nhu-chop-du-khach-choang-vang-toi-ngat-xiu-2305729.html\n",
      "https://vietnamnet.vn/chua-vinh-nghiem-700-nam-tuoi-o-bac-giang-luu-giu-hon-3-000-bau-vat-2289287.html\n",
      "https://vietnamnet.vn/bao-phu-dien-tich-hon-8-000m2-cay-dieu-lon-nhat-the-gioi-gay-choang-ngop-2305730.html\n",
      "https://vietnamnet.vn/khach-viet-chi-2-trieu-dong-de-ngoi-ghe-nhua-via-he-an-pho-nem-thinh-tai-paris-2304346.html\n",
      "https://vietnamnet.vn/mat-rong-bi-an-noi-khoi-nguon-cua-dong-song-dai-hon-100km-2305359.html\n",
      "https://vietnamnet.vn/khach-han-choang-voi-mon-bun-rieu-gia-700-000-dong-o-tphcm-2304241.html\n",
      "https://vietnamnet.vn/kien-truc-ngoi-chua-xiem-can-137-nam-tuoi-o-bac-lieu-2291011.html\n",
      "https://vietnamnet.vn/dac-san-bo-xao-kien-vang-va-loai-la-la-khach-thay-ten-tuong-viet-sai-chinh-ta-2304226.html\n",
      "https://vietnamnet.vn/ha-noi-lot-danh-sach-nhung-thanh-pho-co-am-thuc-hap-dan-nhat-the-gioi-2305360.html\n",
      "https://vietnamnet.vn/dac-san-mam-ca-ro-moi-nam-chi-co-mot-mua-o-hue-khach-canh-mua-tru-dong-an-dan-2302558.html\n",
      "https://vietnamnet.vn/ly-do-hang-nghin-du-khach-muon-chinh-phuc-ngon-nui-benten-tu-nhien-cao-6-1m-2289213.html\n",
      "https://vietnamnet.vn/quan-pho-viet-noi-tieng-o-my-moi-ngay-ban-hon-200-lit-nuoc-dung-2289423.html\n",
      "https://vietnamnet.vn/thu-do-xanh-nhat-the-gioi-tang-do-an-cho-du-khach-di-xe-dap-nhat-rac-2304215.html\n",
      "https://vietnamnet.vn/viet-nam-gop-mat-trong-danh-sach-nhung-diem-den-tot-nhat-the-gioi-vao-thang-8-2304508.html\n",
      "https://vietnamnet.vn/dau-phu-na-sam-gay-sot-cho-mang-khach-ha-noi-co-tien-cung-kho-mua-2304209.html\n",
      "https://vietnamnet.vn/hon-30-khach-san-o-cat-ba-giam-gia-50-cho-du-khach-bi-mac-ket-do-bao-so-2-2304545.html\n",
      "https://vietnamnet.vn/trao-hon-37-trieu-dong-den-gia-dinh-hai-vo-chong-mac-benh-ung-thu-2305102.html\n",
      "https://vietnamnet.vn/me-tam-than-be-gai-4-tuoi-o-ha-tinh-bi-ung-thu-mau-can-su-giup-do-2287244.html\n",
      "https://vietnamnet.vn/trao-hon-53-trieu-dong-den-anh-nguyen-xuan-quyen-bi-suy-than-2304907.html\n",
      "https://vietnamnet.vn/hai-anh-em-ruot-bi-bong-nghiem-trong-can-giup-do-2304867.html\n",
      "https://vietnamnet.vn/gia-han-hoat-dong-ben-pha-qua-song-hau-sau-phan-anh-cua-vietnamnet-2298605.html\n",
      "https://vietnamnet.vn/chu-tich-huyen-cam-on-vietnamnet-phan-anh-vu-thu-hoi-tien-ho-tro-chong-covid-19-2292507.html\n",
      "https://vietnamnet.vn/cong-an-dong-loat-kiem-tra-ben-thuy-noi-dia-sau-phan-anh-cua-vietnamnet-2283797.html\n",
      "https://vietnamnet.vn/cac-con-xin-nghi-hoc-khi-chung-kien-me-ung-thu-cha-tai-nan-liet-giuong-2304067.html\n",
      "https://vietnamnet.vn/em-nguyen-thi-thuy-van-bi-duoi-nuoc-da-duoc-xuat-vien-ve-nha-2304625.html\n",
      "https://vietnamnet.vn/cha-bi-tai-nan-dieu-tri-keo-dai-nam-shipper-ngheo-khong-co-tien-dong-vien-phi-2301805.html\n",
      "https://vietnamnet.vn/trao-gan-80-trieu-dong-den-cha-con-anh-luu-van-hong-o-quang-binh-2304588.html\n",
      "https://vietnamnet.vn/bi-thu-tinh-quang-nam-keu-goi-xoa-nha-dot-nat-2304746.html\n",
      "https://vietnamnet.vn/ban-doc-ung-ho-cac-hoan-canh-kho-khan-10-ngay-giua-thang-7-2024-2304590.html\n",
      "https://vietnamnet.vn/me-don-than-khan-cau-xin-cuu-con-gai-ung-thu-da-di-can-2295809.html\n",
      "https://vietnamnet.vn/gia-dinh-ong-luong-chanh-gui-thu-cam-on-bao-vietnamnet-va-ban-doc-2303850.html\n",
      "https://vietnamnet.vn/trao-hon-92-trieu-dong-den-be-pham-dieu-huyen-bi-thoai-hoa-co-tuy-2303942.html\n",
      "https://vietnamnet.vn/me-mac-ung-thu-vu-giai-doan-4-phai-uong-thuoc-nam-cam-hoi-2294488.html\n",
      "https://vietnamnet.vn/trao-hon-140-trieu-dong-toi-em-tran-thao-vy-o-ha-tinh-2303504.html\n",
      "https://vietnamnet.vn/thieu-nu-17-tuoi-mac-benh-hiem-me-doc-sach-gia-tai-khong-du-vien-phi-2302824.html\n",
      "https://vietnamnet.vn/trao-gan-50-trieu-dong-cho-be-nguyen-hoang-yen-bi-u-nao-2302010.html\n",
      "https://vietnamnet.vn/bao-vietnamnet-doat-giai-bao-chi-hai-duong-khat-vong-phat-trien-2264345.html\n",
      "https://vietnamnet.vn/trao-hon-41-trieu-dong-den-be-quan-hoai-ngoc-bi-u-nao-2301517.html\n",
      "https://vietnamnet.vn/ban-doc-giup-do-be-lam-gia-hao-mac-benh-ung-thu-2302029.html\n",
      "https://vietnamnet.vn/be-gai-mo-coi-cha-tuyet-vong-xin-me-dung-chet-2298503.html\n",
      "https://vietnamnet.vn/ban-doc-ung-ho-hon-41-trieu-dong-den-2-hoan-canh-kho-khan-2301554.html\n",
      "https://vietnamnet.vn/dien-mao-nong-thon-moi-noi-ban-lang-vung-cao-2239825.html\n",
      "https://vietnamnet.vn/tien-ngoc-thu-qua-ngot-sau-hon-mot-thap-ky-xay-dung-nong-thon-moi-2240664.html\n",
      "https://vietnamnet.vn/6-nam-xay-dung-xa-o-vung-trung-du-quang-nam-thay-da-doi-thit-2240656.html\n",
      "https://vietnamnet.vn/tien-giang-55-142-xa-dat-chuan-nong-thon-moi-nang-cao-2255295.html\n",
      "https://vietnamnet.vn/quang-nam-xa-giap-ranh-tinh-ly-chinh-phuc-nong-thon-moi-nang-cao-2245325.html\n",
      "https://vietnamnet.vn/trang-trai-dau-tay-ket-hop-du-lich-nong-nghiep-tai-sa-pa-2234174.html\n",
      "https://vietnamnet.vn/xa-phu-lo-co-4-linh-vuc-dat-chuan-nong-thon-moi-kieu-mau-2236065.html\n",
      "https://vietnamnet.vn/xa-ngoai-thanh-ha-noi-vuon-minh-len-nong-thon-moi-tieu-chuan-2236034.html\n",
      "https://vietnamnet.vn/thai-binh-di-dau-trong-phong-trao-xay-dung-nong-thon-moi-2235109.html\n",
      "https://vietnamnet.vn/nhung-thay-doi-than-toc-tren-da-can-dich-nong-thon-moi-o-xa-mien-nui-tay-nghe-an-2229149.html\n",
      "https://vietnamnet.vn/nang-cao-chat-luong-y-te-co-so-chuan-hoa-nong-thon-moi-o-dak-nong-2233758.html\n",
      "https://vietnamnet.vn/huyen-dak-glong-phan-dau-dua-ty-le-suy-dinh-duong-tre-em-duoi-5-tuoi-ve-27-2233831.html\n",
      "https://vietnamnet.vn/hop-tac-xa-nong-nghiep-tiep-suc-phong-trao-xay-dung-ntm-o-quang-binh-2234419.html\n",
      "https://vietnamnet.vn/tay-ninh-chung-suc-xay-dung-nong-thon-moi-2255317.html\n",
      "https://vietnamnet.vn/dak-nong-da-dang-hinh-thuc-trien-khai-he-thong-quan-ly-ho-so-suc-khoe-dien-tu-2233826.html\n",
      "https://vietnamnet.vn/huyen-yen-binh-yen-bai-chung-tay-xay-dung-ntm-do-thi-van-minh-2254823.html\n",
      "https://vietnamnet.vn/dien-mao-nong-thon-yen-dung-bac-giang-thay-doi-ro-net-2254820.html\n",
      "https://vietnamnet.vn/bac-giang-huyen-dau-tien-dat-chuan-ntm-theo-bo-tieu-chi-giai-doan-2021-2025-2254777.html\n",
      "https://vietnamnet.vn/nong-dan-quang-binh-lam-giau-tu-thuong-hieu-buoi-cam-kim-lu-2230620.html\n",
      "https://vietnamnet.vn/huyen-dak-song-tinh-dak-nong-phan-dau-nang-ty-le-nguoi-dan-tham-gia-bhyt-2233845.html\n",
      "https://vietnamnet.vn/gan-94-xa-phuong-thi-tran-o-son-la-dat-chuan-quoc-gia-ve-y-te-2233877.html\n",
      "https://vietnamnet.vn/dong-nai-dat-muc-tieu-100-xa-dat-chuan-nong-thon-moi-nang-cao-vao-nam-2025-2233817.html\n",
      "https://vietnamnet.vn/phat-huy-vai-tro-cua-hop-tac-xa-trong-xay-dung-ntm-thong-minh-2231403.html\n",
      "https://vietnamnet.vn/dua-tri-tue-nhan-tao-ve-cham-lo-suc-khoe-ba-con-vung-nong-thon-moi-o-tp-hcm-2233893.html\n",
      "https://vietnamnet.vn/nguoi-nong-dan-mien-dat-hau-giang-lam-giau-tu-trai-khom-2233773.html\n",
      "https://vietnamnet.vn/infographic-hieu-qua-cai-tien-san-xuat-cua-dn-cong-nghiep-ho-tro-viet-nam-2238771.html\n",
      "https://vietnamnet.vn/canh-tranh-gay-gat-nganh-det-may-viet-nam-ung-pho-linh-hoat-cho-muc-tieu-2024-2233995.html\n",
      "https://vietnamnet.vn/suc-ep-canh-tranh-tu-cac-nha-cung-cap-trung-quoc-2233921.html\n",
      "https://vietnamnet.vn/fitek-viet-nam-tiet-kiem-hon-1-ty-dong-nho-cai-tien-san-xuat-2238172.html\n",
      "https://vietnamnet.vn/hieu-qua-cai-tien-san-xuat-cua-doanh-nghiep-cong-nghiep-ho-tro-viet-nam-2233888.html\n",
      "https://vietnamnet.vn/nhung-de-xuat-chinh-sach-noi-bat-cho-nganh-cong-nghiep-ho-tro-2233861.html\n",
      "https://vietnamnet.vn/cong-nghiep-ho-tro-viet-nam-va-muc-tieu-2045-khong-de-tuot-co-hoi-lan-hai-2229311.html\n",
      "https://vietnamnet.vn/doanh-nghiep-cnht-can-chop-co-hoi-tu-cac-nganh-cong-nghiep-moi-noi-2233933.html\n",
      "https://vietnamnet.vn/soi-dong-trien-lam-hoi-cho-cnht-co-hoi-cho-dn-nho-tiep-can-cac-tap-doan-lon-2233958.html\n",
      "https://vietnamnet.vn/the-gioi-cho-doi-viet-nam-tham-gia-cuoc-choi-ban-dan-2233976.html\n",
      "https://vietnamnet.vn/loi-khuyen-cho-viet-nam-cua-vi-kien-truc-su-nganh-cong-nghiep-ban-dan-singapore-2233974.html\n",
      "https://vietnamnet.vn/an-tuong-ket-qua-cai-tien-san-xuat-o-loat-dn-cnht-duoc-toyota-tu-van-2230205.html\n",
      "https://vietnamnet.vn/kinh-doanh-co-trach-nhiem-cach-tiep-can-moi-cho-dn-tham-gia-chuoi-cung-ung-2215483.html\n",
      "https://vietnamnet.vn/viet-nam-hay-hoc-singapore-phat-trien-nganh-ban-dan-2233969.html\n",
      "https://vietnamnet.vn/nganh-khuon-mau-viet-nam-can-them-nhung-ky-su-gioi-2233965.html\n",
      "https://vietnamnet.vn/viet-nam-hoi-du-cac-yeu-to-de-vuon-len-trong-linh-vuc-ban-dan-2233971.html\n",
      "https://vietnamnet.vn/nhung-muc-tieu-moi-cua-nganh-det-may-da-day-giai-doan-2021-2030-2233884.html\n",
      "https://vietnamnet.vn/viet-nam-mong-muon-phat-trien-dot-pha-trong-nganh-cong-nghiep-ban-dan-2233970.html\n",
      "https://vietnamnet.vn/12-dn-cnht-phat-trien-nha-may-thong-minh-cai-tien-vuot-bac-2233962.html\n",
      "https://vietnamnet.vn/khai-mac-trien-lam-vimexpo-2023-diem-gap-go-ly-tuong-cua-dn-cong-nghiep-ho-tro-2215045.html\n",
      "https://vietnamnet.vn/phat-trien-nha-may-thong-minh-o-da-nang-va-cam-ket-manh-me-cua-samsung-viet-nam-2233964.html\n",
      "https://vietnamnet.vn/dn-cnht-ha-noi-giao-thuong-tim-hieu-he-thong-quan-ly-chat-luong-nganh-hang-khong-2212115.html\n",
      "https://vietnamnet.vn/ra-mat-bo-cong-cu-danh-gia-chuyen-doi-so-nganh-cong-nghiep-ho-tro-viet-nam-2233961.html\n",
      "https://vietnamnet.vn/khai-mac-hoi-cho-san-pham-cong-nghiep-chu-luc-thanh-pho-ha-noi-nam-2023-2204405.html\n",
      "https://vietnamnet.vn/ky-vong-lon-ve-nganh-ban-dan-viet-nam-2233966.html\n",
      "https://vietnamnet.vn/nam-2023-viet-nam-tiep-tuc-dong-gop-thiet-thuc-cho-thanh-cong-cua-asean-2249143.html\n",
      "https://vietnamnet.vn/chi-ly-an-dien-hinh-phu-nu-dan-toc-thieu-so-lam-kinh-te-gioi-2240567.html\n",
      "https://vietnamnet.vn/kon-tum-nhung-gia-lang-giu-lua-dai-doan-ket-dan-toc-2240562.html\n",
      "https://vietnamnet.vn/dai-su-na-uy-voi-loi-chuc-nam-moi-tu-duong-lam-2245191.html\n",
      "https://vietnamnet.vn/huyen-dak-ha-bao-ton-van-hoa-phi-vat-the-gan-voi-phat-trien-du-lich-cong-dong-2240558.html\n",
      "https://vietnamnet.vn/day-manh-van-dong-quan-chung-huy-dong-moi-nguon-luc-cho-phat-trien-dat-nuoc-2250834.html\n",
      "https://vietnamnet.vn/khoi-day-y-chi-khat-vong-phat-trien-dat-nuoc-2250833.html\n",
      "https://vietnamnet.vn/viet-nam-tich-cuc-trien-khai-thuc-hien-tuyen-bo-glasgow-ve-rung-va-su-dung-dat-2276761.html\n",
      "https://vietnamnet.vn/phat-huy-vai-tro-nguoi-co-uy-tin-truyen-tai-chinh-sach-toi-cac-dan-toc-ha-giang-2240964.html\n",
      "https://vietnamnet.vn/dua-nghi-quyet-27-vao-cuoc-song-de-nang-cao-doi-song-vung-dan-toc-bac-me-2238391.html\n",
      "https://vietnamnet.vn/vuon-cam-chuyen-doi-so-nguoi-dan-dung-internet-trao-doi-voi-chuyen-gia-2238389.html\n",
      "https://vietnamnet.vn/dai-ha-giang-san-xuat-chuong-trinh-tieng-dan-toc-mang-thong-tin-den-ban-lang-2203101.html\n",
      "https://vietnamnet.vn/no-luc-xoa-bo-hu-tuc-lac-hau-trong-dong-bao-dan-toc-thieu-so-tai-quang-binh-2238395.html\n",
      "https://vietnamnet.vn/phat-huy-suc-manh-mem-van-hoa-viet-nam-2237195.html\n",
      "https://vietnamnet.vn/nguoi-may-on-dinh-cuoc-song-ben-cong-troi-cha-lo-2235335.html\n",
      "https://vietnamnet.vn/viet-nam-tiep-tuc-la-thanh-vien-chu-dong-trach-nhiem-va-sang-tao-trong-asean-2234880.html\n",
      "https://vietnamnet.vn/thuc-day-viec-sua-doi-cac-luat-lien-quan-den-quyen-loi-thiet-than-cua-nvnonn-2234827.html\n",
      "https://vietnamnet.vn/chu-dong-phong-chong-ma-tuy-cung-phan-dau-cho-muc-tieu-phat-trien-thinh-vuong-2278868.html\n",
      "https://vietnamnet.vn/nhung-thanh-qua-dang-ghi-nhan-trong-cong-tac-phat-huy-nguon-luc-nvnonn-2234815.html\n",
      "https://vietnamnet.vn/tu-con-duong-lua-gao-viet-nam-den-cam-ket-phan-dau-dat-phat-thai-rong-bang-0-2245597.html\n",
      "https://vietnamnet.vn/cong-dong-nguoi-viet-nam-o-nuoc-ngoai-nguon-luc-to-lon-de-phat-trien-dat-nuoc-2234778.html\n",
      "https://vietnamnet.vn/cong-tac-dan-toc-nam-2023-dat-nhieu-ket-qua-quan-trong-2234604.html\n",
      "https://vietnamnet.vn/phat-huy-vai-tro-nong-cot-quyet-dinh-cua-quan-chung-trong-xay-dung-ddk-2250622.html\n",
      "https://vietnamnet.vn/viet-nam-chu-dong-jthuc-thi-ban-cam-ket-toan-cau-tu-nguyen-vi-tre-em-2249963.html\n",
      "https://vietnamnet.vn/chuyen-doi-nang-luong-cong-bang-viet-nam-san-sang-nhap-cuoc-2234578.html\n",
      "https://vietnamnet.vn/xa-ngheo-doi-thay-tro-thanh-thu-phu-cam-buoi-tren-vung-go-doi-0000035022667.html\n",
      "https://vietnamnet.vn/doi-thay-tich-cuc-tu-mo-hinh-ket-noi-thong-tin-an-ninh-trat-tu-vung-bien-2258475.html\n",
      "https://vietnamnet.vn/4-tinh-phia-bac-viet-nam-va-van-nam-trung-quoc-day-manh-giao-thuong-2233840.html\n",
      "https://vietnamnet.vn/quang-tri-phan-bo-188-ty-dong-dau-tu-cho-vung-dan-toc-thieu-so-va-mien-nui-2257297.html\n",
      "https://vietnamnet.vn/dong-bao-khmer-o-binh-duong-vuot-kho-di-len-xay-dung-nong-thon-moi-2253727.html\n",
      "https://vietnamnet.vn/kien-giang-co-42-49-xa-vung-dan-toc-thieu-so-dat-chuan-nong-thon-moi-2253955.html\n",
      "https://vietnamnet.vn/quang-tri-thu-hut-trong-dung-nhan-tai-nguoi-dan-toc-thieu-so-2254227.html\n",
      "https://vietnamnet.vn/bac-kan-duoc-phan-bo-gan-820-ty-dong-de-phat-trien-vung-dan-toc-thieu-so-2254341.html\n",
      "https://vietnamnet.vn/ban-giao-duong-giao-thong-nong-thon-cho-ba-con-dan-toc-thieu-so-o-ha-giang-2254573.html\n",
      "https://vietnamnet.vn/lang-son-trien-khai-nhieu-hoat-dong-thiet-thuc-huong-ve-bien-gioi-2259258.html\n",
      "https://vietnamnet.vn/huong-toi-cao-nguyen-sinh-thai-the-thao-va-suc-khoe-2259372.html\n",
      "https://vietnamnet.vn/thai-nguyen-cac-du-an-phat-trien-vung-dan-toc-thieu-so-phat-huy-hieu-qua-2255326.html\n",
      "https://vietnamnet.vn/ho-tro-phat-trien-cong-dong-huyen-quang-binh-2258814.html\n",
      "https://vietnamnet.vn/bao-lac-trien-khai-dong-bo-cac-du-an-phat-trien-vung-dan-toc-thieu-so-2255626.html\n",
      "https://vietnamnet.vn/hon-170-thon-ban-vung-dan-toc-thieu-so-o-quang-tri-thieu-nuoc-sach-2256503.html\n",
      "https://vietnamnet.vn/dien-luoi-quoc-gia-ve-2-xa-bien-gioi-dac-biet-kho-khan-o-quang-binh-2256720.html\n",
      "https://vietnamnet.vn/phu-tho-phat-trien-kinh-te-rung-giup-ba-con-dan-toc-thieu-so-co-cua-an-cua-de-2256884.html\n",
      "https://vietnamnet.vn/gia-lai-thao-go-kho-khan-trong-cai-tao-mang-luoi-cho-vung-dan-toc-thieu-so-2256940.html\n",
      "https://vietnamnet.vn/lao-cai-giai-phap-ho-tro-ho-dan-toc-thieu-so-khong-co-kha-nang-thoat-ngheo-2251482.html\n",
      "https://vietnamnet.vn/gia-lai-tuyen-truyen-tiet-kiem-dien-den-dong-bao-dan-toc-thieu-so-2251691.html\n",
      "https://vietnamnet.vn/co-hoi-tiep-can-giao-duc-mam-non-co-chat-luong-cho-tre-em-vung-kho-khan-2259520.html\n",
      "https://vietnamnet.vn/xay-dung-he-thong-cham-soc-suc-khoe-thong-minh-tren-cao-nguyen-lam-vien-2259310.html\n",
      "https://vietnamnet.vn/day-manh-giao-thuong-giua-cac-tinh-bien-gioi-phia-bac-voi-trung-quoc-2267462.html\n",
      "https://vietnamnet.vn/hon-9-000-ho-dan-toc-thieu-so-ngheo-o-ha-giang-co-nha-moi-don-tet-2254566.html\n",
      "https://vietnamnet.vn/tay-ninh-nang-cao-doi-song-van-hoa-cho-dong-bao-dan-toc-thieu-so-vung-bien-2251056.html\n",
      "https://vietnamnet.vn/nuoc-mam-phu-quoc-chay-hang-sau-2-ngay-mo-ban-tai-thai-lan-2304483.html\n",
      "https://vietnamnet.vn/gia-thit-lon-tang-manh-cua-huynh-de-mini-sieu-re-2301676.html\n",
      "https://vietnamnet.vn/thit-lon-tang-gia-manh-co-loai-vot-len-300-000-dong-kg-2300902.html\n",
      "https://vietnamnet.vn/nho-ngoai-gia-re-nhu-rau-thi-sap-dau-mua-sieu-dat-van-chay-hang-2299222.html\n",
      "https://vietnamnet.vn/viet-nam-trum-2-loai-hat-gia-tang-kinh-ngac-nong-dan-thu-bac-ty-2297963.html\n",
      "https://vietnamnet.vn/j-t-express-tang-khach-hang-hon-1500-ma-giam-gia-mua-sam-2306166.html\n",
      "https://vietnamnet.vn/chi-gan-3-900-ty-dong-nhap-khau-nho-ngoai-tran-ngap-cho-viet-gia-re-nhu-rau-2297696.html\n",
      "https://vietnamnet.vn/hoa-lac-iec-nhan-giay-chung-nhan-gao-huu-co-2306061.html\n",
      "https://vietnamnet.vn/gia-ve-may-bay-chi-ha-nhiet-khi-giai-quyet-duoc-van-de-nay-2290935.html\n",
      "https://vietnamnet.vn/vai-thieu-mat-mua-chua-tung-thay-nong-dan-bac-giang-van-kiem-tien-ky-luc-2296524.html\n",
      "https://vietnamnet.vn/gia-xang-dau-hom-nay-2-7-2024-duy-tri-da-tang-2297319.html\n",
      "https://vietnamnet.vn/gia-xang-tang-lan-thu-ba-lien-tiep-ron-95-vuot-23-000-dong-lit-2295867.html\n",
      "https://vietnamnet.vn/gia-vai-thieu-cao-ky-luc-quyt-uc-nhap-khau-sieu-re-2294271.html\n",
      "https://vietnamnet.vn/tiktok-smb-summit-2024-chia-se-loat-giai-phap-ho-tro-doanh-nghiep-vua-va-nho-2303750.html\n",
      "https://vietnamnet.vn/queenam-ra-mat-12-loai-chocolate-boc-hat-vi-trai-cay-2303652.html\n",
      "https://vietnamnet.vn/gia-xang-dau-hom-nay-24-6-2024-chung-lai-sau-tuan-tang-manh-2294378.html\n",
      "https://vietnamnet.vn/huawei-trinh-bay-giai-phap-dac-biet-ung-pho-thach-thuc-ve-dien-mat-troi-2303002.html\n",
      "https://vietnamnet.vn/vilaco-hanh-trinh-20-nam-no-luc-vuot-song-2302555.html\n",
      "https://vietnamnet.vn/home-credit-cong-bo-bao-cao-phat-trien-ben-vung-nam-2023-2302048.html\n",
      "https://vietnamnet.vn/fami-giu-vung-vi-tri-thuong-hieu-duoc-chon-mua-nhieu-nhat-tu-nam-2014-2302546.html\n",
      "https://vietnamnet.vn/hoi-ngo-dinh-cao-2024-danh-dau-hanh-trinh-15-nam-cua-bni-viet-nam-2302468.html\n",
      "https://vietnamnet.vn/dau-an-16-nam-phat-trien-cua-cathay-life-viet-nam-2302425.html\n",
      "https://vietnamnet.vn/may-man-chua-tung-co-vua-thi-bang-lai-da-trung-ngay-xe-bmw-2302090.html\n",
      "https://vietnamnet.vn/qua-ty-usd-cua-viet-nam-vao-vu-thu-trieu-tan-them-doi-thu-moi-o-trung-quoc-2294106.html\n",
      "https://vietnamnet.vn/sap-phat-hanh-sieu-pham-game-kiem-hiep-kiem-ton-origin-2301521.html\n"
     ]
    }
   ],
   "source": [
    "import requests\n",
    "from bs4 import BeautifulSoup\n",
    "import operator\n",
    "from collections import Counter\n",
    "import time\n",
    "\n",
    "base_url = \"https://vietnamnet.vn\"\n",
    "\n",
    "for data_source in data_sources:\n",
    "    source_html = requests.get(data_source['url']).text\n",
    "    soup = BeautifulSoup(source_html, 'html.parser')\n",
    "\n",
    "    for div in soup.findAll('div', {'class': data_source['div_class']}):\n",
    "        a_tags = div.find_all('a', href=True)\n",
    "        for a_tag in a_tags:\n",
    "            link = base_url + a_tag['href']\n",
    "            print(link)\n",
    "            response = requests.get(link)\n",
    "            response.encoding = 'utf-8'\n",
    "            content_html = response.text\n",
    "            content_soup = BeautifulSoup(content_html, 'html.parser')\n",
    "\n",
    "            for child_div in content_soup.findAll('div', {'class': data_source['child_div_class']}):\n",
    "                p_tags = child_div.find_all('p')\n",
    "                for p_tag in p_tags:\n",
    "                    # print(p_tag.text)\n",
    "                    df.loc[len(df)] = [p_tag.text, 'khac']\n",
    "                    \n",
    "            # To avoid being blocked or overloading the server\n",
    "            time.sleep(1)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>text</th>\n",
       "      <th>label</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>Tối 27/7, Chủ tịch nước Tô Lâm đã thay mặt lãn...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>Tại buổi tiếp, Ngoại trưởng Blinken chuyển lá ...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>Trong thư, Tổng thống Biden nhắc lại những kỉ ...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>Tổng thống Biden nhấn mạnh “sự kiện đó là minh...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>Đất nước Mỹ sẽ không quên sự lãnh đạo này của ...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>...</th>\n",
       "      <td>...</td>\n",
       "      <td>...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6914</th>\n",
       "      <td>Ngoài ra, tại họp báo ra mắt Kiếm Tôn Origin s...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6915</th>\n",
       "      <td>Kiếm Tôn Origin là dự án game kiếm hiệp được đ...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6916</th>\n",
       "      <td>Sự trở lại của game Kiếm Tôn Origin trên Mobil...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6917</th>\n",
       "      <td>Với những điều chỉnh, nâng cấp, Kiếm Tôn Origi...</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6918</th>\n",
       "      <td>Lệ Thanh</td>\n",
       "      <td>khac</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "<p>6919 rows × 2 columns</p>\n",
       "</div>"
      ],
      "text/plain": [
       "                                                   text label\n",
       "0     Tối 27/7, Chủ tịch nước Tô Lâm đã thay mặt lãn...  khac\n",
       "1     Tại buổi tiếp, Ngoại trưởng Blinken chuyển lá ...  khac\n",
       "2     Trong thư, Tổng thống Biden nhắc lại những kỉ ...  khac\n",
       "3     Tổng thống Biden nhấn mạnh “sự kiện đó là minh...  khac\n",
       "4     Đất nước Mỹ sẽ không quên sự lãnh đạo này của ...  khac\n",
       "...                                                 ...   ...\n",
       "6914  Ngoài ra, tại họp báo ra mắt Kiếm Tôn Origin s...  khac\n",
       "6915  Kiếm Tôn Origin là dự án game kiếm hiệp được đ...  khac\n",
       "6916  Sự trở lại của game Kiếm Tôn Origin trên Mobil...  khac\n",
       "6917  Với những điều chỉnh, nâng cấp, Kiếm Tôn Origi...  khac\n",
       "6918                                           Lệ Thanh  khac\n",
       "\n",
       "[6919 rows x 2 columns]"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "DataFrame has been saved to tin_tuc_vietnamnet.xlsx\n"
     ]
    }
   ],
   "source": [
    "# Save the DataFrame to an Excel file\n",
    "file_path = 'tin_tuc_vietnamnet.xlsx'  # Specify the file path where you want to save the Excel file\n",
    "df.to_excel(file_path, index=False)\n",
    "\n",
    "print(f'DataFrame has been saved to {file_path}')"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "bert",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.11.9"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
